import { DivEvents, EventName, KeyMapper, Listener, Type } from "../types";
export declare class EventBus {
    #private;
    get events(): any;
    static initWithExternalEvents(events?: DivEvents): () => EventBus;
    constructor(...initEvents: EventName[]);
    get<T extends keyof KeyMapper>(key: T): KeyMapper[T];
    set<T extends keyof KeyMapper>(key: T, value: KeyMapper[T]): void;
    send(event: Type, arg?: any): void;
    send(event: EventName, arg: any): void;
    listen(event: EventName | Type, listener: Listener): () => void;
}
export interface ListenerOptions {
    readonly preventDefault?: boolean;
}
//# sourceMappingURL=EventBus.d.ts.map